# Release Notes

## v0.7.6
- Simplify registry code
- Update moderncli vendoring

## v0.7.5
- FreeBSD and clang fixes

## v0.7.4
- Better registry debug logging
- Make state.conf last config override

## v0.7.3
- Optional system support
- Clean up presence inbound
- Only presence publishers should publish
- Fix logger id

## v0.7.2
- Use newest moderncli baseline
- Use c++17 filesystem
- Update with moderncli safe string functions
- Update dispatch with sync
- Replace clocking with sync header
- Migrate nonce to sync header time
- Update moderncli sync
- Update moderncli and use crypto random

## v0.7.1
- Updated for latest libfmt
- Update extension vs value
- Update cmake minimum

## v0.7.0
- Standardize moderncli vendoring
- Change calling to functional dispatch
- Change registry to functional dispatch
- Update copyright
- Define display names

## v0.6.5
- Change features to functional dispatch
- Change messages to functional dispatch
- Generate and manage bearer tokens
- Added config series to registry receipt
- Make shared ptr's const

## v0.6.4
- Access control, rooms, and zones
- Const feature shared ptr
- Updated coventry ipc header for apollo use
- Change logging behavior

## v0.6.3
- Standardize ipc sizes and fields
- Setup web server correctly for receipts
- Use default feature plan only if none set
- Calling "to" set for feature scripts
- Make feature_t shared pointer
- Directed feature server calling

## v0.6.2
- FreeBSD address conversion fix
- Start of feature server calling
- Registry receipt introduced

## v0.6.1
- Introduce feature code dialing
- Network interface address detection
- Sysop group introduced
- Header fix for gcc 13
- Event code cleanup

## v0.6.0
- IPC header (only) on MIT license for easy reuse
- Require mqueue support
- Remove docker build support
- Require moderncli >= 0.4.0
- Use exosip2 header locally
- Move pubsub into registry

## v0.5.9
- Add config keys for location
- Improve status uptime reporting
- Change default ping to ignore sip errors
- IPC has display name, remote id, and agent id
- Cleaner registration logging
- Add type property for line config

## v0.5.8
- pbx-registry can verify extension flags
- pbx-registry can verify valid extensions
- Registry flags in shm
- Remove endian from utils
- Modernize project layout
- Modernize moderncli vendoring
- Modernize linting
- Fix clang headers

## v0.5.7
- Construct basic presence body
- Added subscription notify
- Improve project config
- Reorganize and simplify pubsub
- Allow pubsub to use registry context
- Better safety and mechanics for pubsub
- Added tycho namespace

## v0.5.6
- Remove ipc notify
- Remove libexec and control pipe
- Start of registry presence tracking
- Update vendored headers
- Fix log locking and overlaps
- Fix FreeBSD ipc support

## v0.5.5
- Update header vendoring
- Older OS support
- Always require libfmt
- Small bsd and clang fixes
- Introduce piped control channel
- Disable ipc support for docker builds
- Ping by extension in pbx-ping

## v0.5.4
- Add pbx-ping and pbx-passwd utilities
- Consolidate utility builds
- Expand realm util to use config
- Make ipc header vendor-able

## v0.5.3
- MQTT support moves to Bordeaux
- Standardize docker support and docker scan

## v0.5.2
- Introduce mqtt support
- Add some utilities to docker
- Give state and realm to child processes
- Syslog build option for docker

## v0.5.1
- Remove syslog from docker builds
- Use runtime linked libfmt
- Realm for ipc and new pbx-realm util

## v0.5.0
- Use presence in call and message allow
- New pbx-presence utility
- Specify default presence in config
- Show presence in /who requests
- Parse sip published presence
- Ignore imdn+xml messages correctly
- Basic presence states with utility updates

## v0.4.6
- Fix detach uid root drop
- Clarify process manager naming
- Receive published events
- Accept message challenges properly

## v0.4.5
- Drop root privs in libexec
- Fix calls shm permissions and sizes
- Allow pubsub methods
- Fix util man pages
- Verify ipc notify target
- Separate proc functions from util

## v0.4.4
- Fix out of tree builds
- Fix dispatch for newer gcc

## v0.4.3
- Optimize actor dispatch
- Start of coventry broker
- Internalize components and optimize interfaces
- Optimize header usage
- Fix header vendoring

## v0.4.2
- Fix markdown
- Modernize vendoring
- Modernize linting
- Fix sha digest in reuse and vendoring

## v0.4.1
- Modernize linting
- Improve jauth.c in vendoring, can use sha256
- Modernize Digest and defines

## v0.4.0
- Fix docker runtime config
- Remove static builds and fix docker support
- Standardize compile-time dialing plans

## v0.3.9
- Better server cli options
- Remove non-generic libsystemd support
- Introduce stat timer
- Registry support for options
- Add pbx-registry utility

## v0.3.8
- Redo ipc header as sctp will also be used in the future
- Separated re-invite from regular answer
- Re-invite calls in dialog
- Future call expiration support
- Json call detail records
- Simplify docker builds
- Standardize logging paths

## v0.3.7
- Fixed docker builds
- Expanded utility functions
- Denser call id's

## v0.3.6
- Relay in-call sip info messages (dtmf-relay)
- Persistent registry key store
- Libexec agents and keyfile updates

## v0.3.5
- Drop calls at shutdown
- Simplify ipc layout, add ipc versioning
- Fix segment close with immediate release
- Simplify delayed ringing processing

## v0.3.4
- System group messaging
- Delayed ringing support
- Quick exit for fork() fix
- Server welcome and shutdown messages
- Group calling support
- Call coverage support

## v0.3.3
- Libexec support and /msg to exec
- Generate cdr for calls
- Updated cli behavior
- Logfile support
- Updated docker build process

## v0.3.2
- Updated README.md with better testing and install info
- Improved call tracability in debug
- From line processing standardized
- Improve allow header uses and registration

## v0.3.1
- Added message type to delivery pipeline
- Delayed ringing support
- Change log level thru ipc
- Support ring timer in call processor

## v0.3.0
- Status utility can report active calls
- Drop user from call
- Update vendoring to eXosip2 5.3.0
- Call Answering and Ack
- Proceed and cancel events
- Fixes ring failure and closing for multiple invites

## v0.2.8
- Call declines and failures
- Ringback driven ringing call state
- Improved call processing
- Add user-agent support in registry
- Introduce system "/" commands

## v0.2.7
- Basic multi-segment invite and disconnect
- Improved call close handling
- Simplify invite and call tracking

## v0.2.6
- One-segment calling and disconnect
- Internalize registry maps
- Call manager closures
- Call manager structures and ipc

## v0.2.5
- Receive invite with map apply
- Apply maps to messaging
- Map apply closure
- Remove redundancy in expiration checks

## v0.2.4
- Start of ring invite processing
- Start of call manager
- Registry map improvements
- Improved registry maps and invite mapping
- Busy in invite and call counts

## v0.2.3
- Fixes secure invite
- Adds bye events

## v0.2.2
- Registry tracks activations and removals
- Simplified config and logging
- Start of invite handling
- Registry shared map for call count
- Prefix path set at compile time

## v0.2.1
- Fix custom path to use prefix, add dynamic conf
- reg-config
- Move ipc notify to utils function
- Registry status supports dynamic sizing

## v0.2.0
- User text messaging to users
- IPC system messaging to users
- Support vendor-free builds

## v0.1.3
- Fix for 32 bit build issues

## v0.1.2
- Start of messaging
- Example server config
- Support max expiration by config
- Better realm handling code
- Improved registration

## v0.1.1
- IPC services introduced
- Initial IPC status utility

## v0.1.0
- Support client nonce count in registry auth
- Extension registration and release now working
- Fixed docker publishing

## v0.0.8
- Clean up code and event handling
- Limit jemalloc to release builds
- Introduce alternate allocator(s)

## v0.0.7
- Introduce format based system logger
- Atomic running flag
- Vendor fix for exosip2 epoll bug

## v0.0.6
- Migration to gitea
- Docker migration to quay
- Osip2 vendoring updated to 5.2.1
- Improve linting
- System init support
- Added Dockerfile to produce coventry containers
- Replace debug -x option with multiple -v

## v0.0.5
- Added docgen target
- Added utility functions to verify input correctness.

## v0.0.4
- Updated documentation with project links

## v0.0.3
- Vendor eXosip2 for static builds
- Change remote to simple tcp

## v0.0.2
- Manpage for server

## v0.0.1
- Initial checkin
