# pbx-ping(1)

Coventry, December 2020

```
pbx-ping [options] uri|ext

```

## Description

Sends an option request to a sip endpoint at the specified uri and waits for a
response, while measuring response time. If an extension is used, the uri
registered with coventry for that extension is pinged.

## Options

* **-6**
  Enable IPv6 addressing.
* **-s**
  Enable SRV dns lookups.
* **-t**
  Use sip over tcp. The default is udp.
* **--config=**_path_
  Alternate config file path.
* **--proxy=**_uri_
  Uri of SIP proxy route.
* **--info**
  Show text info of server response message.
* **--quiet**
  Quiet one time operation, often used in scripts for getting the exit code.
* **--help**
  Outputs help screen for the user.

## Exit Codes

Returns 0 if ping is successful, 1 if there is a parsing error, 2 for a sip
error or failure, and 3 for timeout.

## Reporting Bugs

Report bugs to <https://git.gnutelephony.org/coventry/issues/new>.

## Copyright

Copyright © 2020-2023 David Sugar.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR
PURPOSE.
